XBPS-FBULK(1)

NAME
xbps-fbulk - XBPS utility to perform a fast bulk build of void-packages

SYNOPSIS
xbps-fbulk [OPTIONS] /path/to/void-packages [pkgN pkgN+1 ...]

DESCRIPTION
The xbps-fbulk utility iterates all srcpkg directories in the void-packages repository or processes the pkgN arguments, and then runs ./xbps-src show-build-deps', to build a dependency tree on the fly.

As the dependency tree is being built, terminal dependencies are built and packaged on the fly.

As these builds complete additional dependencies may be satisfied and be added to the build order. Ultimately the entire tree is built.

Only one attempt is made to build any given package, no matter how many other packages depend on it.

OPTIONS

-a arch
    Set a different target architecture, useful for cross compiling.

-j X
    Set number of parallel builds running at the same time. By default set to 1.

-l logdir
    Set the log directory. By default set to `log.<pid>`.

-d, --debug
    Enables extra debugging shown to stderr.

-h, --help
    Show the help message.

-v, --verbose
    Enables verbose messages.

-V, --version
    Show the version information.

FILES

logdir/run
    Packages that are being built.

logdir/good
    Packages that were built successfully.

logdir/bad
    Packages that failed to build.

logdir/skipped
    Packages that were not built because they had to be skipped (unsupported architecture, broken or restricted).

logdir/deps
    Packages that were not built due to missing dependencies.

NOTES
The masterdir in the void-packages repository must be fully populated for chroot operations, and some options need to be set in etc/conf to make xbps-fbulk work correctly:

XBPS_CHROOT_CMD=uchroot
    The xbps-uchroot(1) utility is required because xbps-fbulk builds packages in temporary masterdirs that are mounted with overlayfs.

Make sure the user running xbps-fbulk has rights to execute xbps-uchroot(1) and the kernel supports the overlay filesystem, introduced in 4.0.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
The xbps-fbulk utility was originally written by Matthew Dillon <dillon@backplane.com> for the DragonFlyBSD project.

Juan Romero Pardines <xtraeme@gmail.com> adapted it for xbps and added some new features.

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/voidlinux/xbps/issues